README.osX
$Id: README.osX,v 1.6 2005/10/18 15:43:02 rstory Exp $

This is what I had to do to get it to work for me. Your mileage may vary.
If this doesn't work for you, or you have fixes for any problems listed,
please post to <net-snmp-coders@lists.sourceforge.net>. Thanks!

  - 10.4.x 

     - 10.4.x Embedded perl module dyld error

        - If you have enabled embedded perl modules and are getting a
          dyld error when starting snmpd or snmptrapd, reconfigure and
          add '--with-ldflags=-flat_namespace' to your configure arguments.

     - nlist doesn't support icmpstat

       - disable the icmp module during configure by specifying
         "--with-out-mib-modules=mibII/icmp", or at startup by adding
         "-I -icmp" to the snmpd command line.

  - 10.3.x and earlier

     - Some older versions of Apple's cpp doesn't like configure. 

        - run 'gcc_select' to see what version you are using, and
          'gcc_select -l' to list available versions. I've had success with
          3.3, selected by running (as root) 'gcc_select 3.3'. (Note: this was
          on Panther, 10.3.2)

     - Some older versions of net-snmp as installed by Apple contains
       bad flags in net-snmp-config.

       - build your own version, and install over Apple's version. The
         configure flags you need for the same configuration:

         configure --prefix=/usr --mandir=/usr/share/man
                   --infodir=/usr/share/info --with-libwrap --with-defaults
                   --prefix=/usr --with-persistent-directory=/var/db/ucd-snmp
                   --with-mib-modules=host

     - nlist doesn't support icmpstat

       - disable the icmp module during configure by specifying
         "--with-out-mib-modules=mibII/icmp", or at startup by adding
         "-I -icmp" to the snmpd command line.

